de.katho.kBorrow.data

## Class KLendingModel

- java.lang.Object
- - de.katho.kBorrow.data.KLendingModel

All Implemented Interfaces:
  KDataModel

    public class KLendingModel
    extends java.lang.Object
    implements KDataModel

Zuständig für die Verwaltung einer Datenstruktur mit KLending-Objekten.

Verwaltet außerdem die GUI-Models, die auf die KLending-Daten zugreifen müssen und benachrichtigt die Models, wenn sich der Inhalt der Datenstruktur ändert.

### Field Summary

Fields
`private java.util.ArrayList<KLending>` `data` Liste mit KLender-Objekten.
`private DbConnector` `dbCon` Liste mit KLender-Objekten.
`private java.util.ArrayList<KGuiModel>` `models` Liste mit KGuiModel-Objekten, die benachrichtigt werden müssen, wenn die Datenstruktur aktualisiert wird.

### Constructor Summary

Constructors
Constructor and Description
`KLendingModel(DbConnector pDbCon)` Erzeugt eine neue Instanz des KLendingModel.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<KLending>` `getData()` Gibt die kompletten Daten als ArrayList zurück.
`KLending` `getElement(int id)` Gibt KLending-Objekt mit der angefragten ID zurück.
`void` `register(KGuiModel pModel)` Ein KGuiModel registriert sich so am KLendingModel und wird nun benachrichtigt, wenn die Datenstruktur sich ändert.
`void` `updateModel()` Holt Daten aus der Datenbank und benachrichtigt alle registrierten KGuiModel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### models

    private java.util.ArrayList<KGuiModel> models

Liste mit KGuiModel-Objekten, die benachrichtigt werden müssen, wenn die Datenstruktur aktualisiert wird.

#### data

    private java.util.ArrayList<KLending> data

Liste mit KLender-Objekten.

#### dbCon

    private DbConnector dbCon

Liste mit KLender-Objekten.

### Constructor Detail

#### KLendingModel

    public KLendingModel(DbConnector pDbCon)

Erzeugt eine neue Instanz des KLendingModel.

Parameters:
  `pDbCon` - Referenz auf die Datenbank.

### Method Detail

#### register

    public void register(KGuiModel pModel)

Ein KGuiModel registriert sich so am KLendingModel und wird nun benachrichtigt, wenn die Datenstruktur sich ändert.

Specified by:
  `register` in interface `KDataModel`
Parameters:
  `pModel` - KGuiModel, das sich am KLendingModel registriert.

#### updateModel

    public void updateModel()

Holt Daten aus der Datenbank und benachrichtigt alle registrierten KGuiModel.

Specified by:
  `updateModel` in interface `KDataModel`

#### getData

    public java.util.ArrayList<KLending> getData()

Gibt die kompletten Daten als ArrayList zurück.

Specified by:
  `getData` in interface `KDataModel`
Returns:
  Die kompletten Daten als ArrayList.

#### getElement

    public KLending getElement(int id)

Gibt KLending-Objekt mit der angefragten ID zurück.

Specified by:
  `getElement` in interface `KDataModel`
Parameters:
  `id` - ID des angefragten Elements.
Returns:
  Das angefragte Element.